# <img src="extension/icon.png" width="45" align="left"> Refined GitHub

> Chrome extension that simplifies the GitHub interface and adds useful features

I use GitHub a lot and notice many dumb annoyances I want to fix. So here be dragons.


## Highlights

- Hides other users starring/forking your repos from the newsfeed
- Automagically expands all the news feed pages
- [Linkifies branch references](https://github.com/sindresorhus/refined-github/issues/1) in pull requests
- Removes tooltips
- Removes annoying hover effect in the repo file browser
- Removes the comment box toolbar
- Moves the dashboard organization switcher to the right column

And [lots](extension/content.css) [more...](extension/content.js)


## Screenshots

### Dashboard

![](screenshot-dashboard.png)

### Repo

![](screenshot-repo.png)

### Comment box

<img src="screenshot-comment-box.png" width="795">


## Install

Install it from the [Chrome Web Store](https://chrome.google.com/webstore/detail/refined-github/hlepfoohegkhhmjieoechaddaejaokhf) or [manually](http://superuser.com/a/247654/6877).


## Contribute

I'm happy to receive suggestions and contributions, but be aware this is a highly opinionated project. I'm not interested in adding options. If you disagree with something just fork it.


## Related

- [Tab Size on GitHub extension](https://github.com/sindresorhus/tab-size-on-github)
- [Notifier for GitHub extension](https://github.com/sindresorhus/notifier-for-github-chrome)
- [Hide Files on GitHub extension](https://github.com/sindresorhus/hide-files-on-github)
- [Show All GitHub Issues extension](https://github.com/sindresorhus/show-all-github-issues)
- [Canned Responses on GitHub extension](https://github.com/notwaldorf/github-canned-responses)


## License

MIT © [Sindre Sorhus](https://sindresorhus.com)
